function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var styled = _interopDefault(require('styled-components'));

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  strings.raw = raw;
  return strings;
}

var Colors = {
  black: '#000',
  white: '#fff',
  grey: '#707070',
  greyLight: '#a9a9a9',
  away: '#FF9800',
  danger: '#ce4e4e',
  success: '#8fd16a',
  warning: '#f8dd50',
  primary: '#8fd16a',
  secundary: '#59bec9'
};
var Opacity = {
  op0: '00',
  op1: '1A',
  op2: '33',
  op3: '4D',
  op4: '66',
  op5: '80',
  op6: '99',
  op7: 'B3',
  op8: 'CC',
  op9: 'E6'
};

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n    background-color: ", ";\n    border: 2px solid;\n    border-color: ", ";\n    border-radius: 12px;\n    color: ", ";\n    cursor: pointer;\n    display: block;\n    font-size: 16px;\n    font-weight: 500;\n    line-height: 1;\n    margin: ", "px;\n    margin-bottom: ", "px;\n    margin-top: ", "px;\n    padding: 12px;\n    text-align: center;\n    text-transform: ", ";\n    transition: 0.15s ease-in-out;\n    width: ", ";\n\n    &:hover {\n        filter: brightness(0.85);\n    }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var Btn = styled.button(_templateObject(), function (props) {
  return props.bgColor ? props.bgColor : Colors.greyLight;
}, function (props) {
  return props.bgColor ? props.bgColor : Colors.greyLight;
}, function (props) {
  return props.textColor ? props.textColor : Colors.white;
}, function (props) {
  return props.mg && props.mg;
}, function (props) {
  return props.mgBottom && props.mgBottom;
}, function (props) {
  return props.mgTop && props.mgTop;
}, function (props) {
  return props.uppercase && 'uppercase';
}, function (props) {
  return props.width ? props.width : '100%';
});

var Button = function Button(_ref) {
  var bgColor = _ref.bgColor,
      children = _ref.children,
      mg = _ref.mg,
      mgBottom = _ref.mgBottom,
      mgTop = _ref.mgTop,
      onClick = _ref.onClick,
      textColor = _ref.textColor,
      textSize = _ref.textSize,
      uppercase = _ref.uppercase,
      width = _ref.width;
  return /*#__PURE__*/React.createElement(Btn, {
    bgColor: bgColor,
    mg: mg,
    mgBottom: mgBottom,
    mgTop: mgTop,
    onClick: onClick,
    textColor: textColor,
    textSize: textSize,
    uppercase: uppercase,
    width: width
  }, children);
};

function _templateObject$1() {
  var data = _taggedTemplateLiteralLoose(["\n    color: ", ";\n    font-size: ", "px;\n    font-weight: ", ";\n    line-height: ", ";\n    margin-bottom: ", "px;\n    margin-top: ", "px;\n    opacity: ", ";\n    text-align: ", ";\n    text-transform: ", ";\n"]);

  _templateObject$1 = function _templateObject() {
    return data;
  };

  return data;
}
var Txt = styled.p(_templateObject$1(), function (props) {
  return props.color ? props.color : Colors.grey;
}, function (props) {
  return props.size ? props.size : 16;
}, function (props) {
  return props.weight ? props.weight : 400;
}, function (props) {
  return props.lineHeight ? props.lineHeight : 1;
}, function (props) {
  return props.mb ? props.mb : 0;
}, function (props) {
  return props.mt ? props.mt : 0;
}, function (props) {
  return props.opacity && "0." + props.opacity;
}, function (props) {
  return props.align && props.align;
}, function (props) {
  return props.uppercase && props.uppercase;
});

var Text = function Text(_ref) {
  var align = _ref.align,
      children = _ref.children,
      color = _ref.color,
      lineHeight = _ref.lineHeight,
      mb = _ref.mb,
      mt = _ref.mt,
      opacity = _ref.opacity,
      size = _ref.size,
      uppercase = _ref.uppercase,
      weight = _ref.weight;
  return /*#__PURE__*/React.createElement(Txt, {
    align: align,
    color: color,
    lineHeight: lineHeight,
    mb: mb,
    mt: mt,
    opacity: opacity,
    size: size,
    uppercase: uppercase,
    weight: weight
  }, children);
};

function _templateObject$2() {
  var data = _taggedTemplateLiteralLoose(["\n  .head {\n    display: flex;\n    margin-bottom: ", "px;\n    margin-top: ", "px;\n\n    &-item {\n      border-bottom: 2px solid ", "", ";\n      color: ", "", ";\n      cursor: pointer;\n      flex-basis: 0;\n      flex-grow: 1;\n      font-size: 16px;\n      font-weight: 500;\n      line-height: 1;\n      margin: 0 8px;\n      max-width: 100%;\n      padding: 12px;\n      text-align: center;\n      transition: 0.15s ease-in-out;\n\n      &:first-of-type {\n        margin-left: 0;\n      }\n\n      &:last-of-type {\n        margin-right: 0;\n      }\n\n      &:hover {\n        border-bottom: 2px solid ", "", ";\n        color: ", "", ";\n      }\n\n      &.active {\n        border-bottom: 2px solid\n          ", ";\n        color: ", ";\n      }\n    }\n  }\n"]);

  _templateObject$2 = function _templateObject() {
    return data;
  };

  return data;
}
var Tab = styled.div(_templateObject$2(), function (props) {
  return props.mb ? props.mb : 32;
}, function (props) {
  return props.mt ? props.mt : 0;
}, Colors.grey, Opacity.op4, Colors.grey, Opacity.op6, Colors.grey, Opacity.op6, Colors.grey, Opacity.op8, function (props) {
  return props.color ? props.color : Colors.black;
}, function (props) {
  return props.color ? props.color : Colors.black;
});

var Tabs = function Tabs(_ref) {
  var color = _ref.color,
      currentTab = _ref.currentTab,
      data = _ref.data,
      head = _ref.head,
      mb = _ref.mb,
      mt = _ref.mt,
      onTabChange = _ref.onTabChange;
  return /*#__PURE__*/React.createElement(Tab, {
    color: color,
    mb: mb,
    mt: mt
  }, /*#__PURE__*/React.createElement("ul", {
    className: "head"
  }, head.map(function (item, index) {
    return /*#__PURE__*/React.createElement("li", {
      key: index,
      className: "head-item " + (currentTab === index ? 'active' : ''),
      onClick: function onClick() {
        return onTabChange(index);
      }
    }, item);
  })), data);
};

var size = {
  mobile: '576px',
  tablet: '768px',
  desktop: '992px',
  largeDesktop: '1200px'
};
var device = {
  xs: "(max-width: " + size.mobile + ")",
  sm: "(min-width: " + size.mobile + ")",
  lg: "(min-width: " + size.desktop + ")",
  xl: "(min-width: " + size.largeDesktop + ")"
};

function _templateObject3() {
  var data = _taggedTemplateLiteralLoose(["\n    align-self: ", ";\n    flex: 0 0 100%;\n    flex-basis: 0;\n    flex-grow: 1;\n    max-width: 100%;\n    min-height: 1px;\n    padding-left: 8px;\n    padding-right: 8px;\n    position: relative;\n    width: 100%;\n\n    @media ", " {\n        flex: ", ";\n        max-width: ", ";\n    }\n\n    @media ", " {\n        flex: ", ";\n        max-width: ", ";\n    }\n\n    @media ", " {\n        flex: ", ";\n        max-width: ", ";\n        padding-left: 12px;\n        padding-right: 12px;\n    }\n\n    @media ", " {\n        flex: ", ";\n        max-width: ", ";\n    }\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteralLoose(["\n    align-items: ", ";\n    display: flex;\n    flex-wrap: wrap;\n    justify-content: ", ";\n    margin-bottom: ", ";\n    margin-top: ", ";\n    width: 100%;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject$3() {
  var data = _taggedTemplateLiteralLoose(["\n    margin-left: auto;\n    margin-right: auto;\n    max-width: 344px;\n\n    @media ", " {\n        max-width: 560px;\n    }\n    @media ", " {\n        max-width: ", "px;\n    }\n    @media ", " {\n        max-width: ", "px;\n    }\n"]);

  _templateObject$3 = function _templateObject() {
    return data;
  };

  return data;
}
var Style_Container = styled.div(_templateObject$3(), device.sm, device.lg, function (props) {
  return props.painel ? 912 : 984;
}, device.xl, function (props) {
  return props.painel ? 1104 : 1176;
});
var Style_Row = styled.div(_templateObject2(), function (props) {
  return props.verticalAlign && props.verticalAlign;
}, function (props) {
  return props.horizontalAlign && props.horizontalAlign;
}, function (props) {
  return props.mb && props.mb + "px";
}, function (props) {
  return props.mt && props.mt + "px";
});
var Style_Col = styled.div(_templateObject3(), function (props) {
  return props.alignSelf && props.alignSelf;
}, device.xs, function (_ref) {
  var xs = _ref.xs;
  return xs && "0 0 " + xs / 8 * 100 + "%";
}, function (_ref2) {
  var xs = _ref2.xs;
  return xs && xs / 8 * 100 + "%";
}, device.sm, function (_ref3) {
  var sm = _ref3.sm;
  return sm && "0 0 " + sm / 8 * 100 + "%";
}, function (_ref4) {
  var sm = _ref4.sm;
  return sm && sm / 8 * 100 + "%";
}, device.lg, function (_ref5) {
  var lg = _ref5.lg;
  return lg && "0 0 " + lg / 12 * 100 + "%";
}, function (_ref6) {
  var lg = _ref6.lg;
  return lg && lg / 12 * 100 + "%";
}, device.xl, function (_ref7) {
  var xl = _ref7.xl;
  return xl && "0 0 " + xl / 12 * 100 + "%";
}, function (_ref8) {
  var xl = _ref8.xl;
  return xl && xl / 12 * 100 + "%";
});

var Container = function Container(_ref) {
  var children = _ref.children,
      painel = _ref.painel;
  return /*#__PURE__*/React.createElement(Style_Container, {
    painel: painel
  }, children);
};
var Row = function Row(_ref2) {
  var verticalAlign = _ref2.verticalAlign,
      horizontalAlign = _ref2.horizontalAlign,
      mb = _ref2.mb,
      mt = _ref2.mt,
      children = _ref2.children;
  return /*#__PURE__*/React.createElement(Style_Row, {
    verticalAlign: verticalAlign,
    horizontalAlign: horizontalAlign,
    mb: mb,
    mt: mt
  }, children);
};
var Col = function Col(_ref3) {
  var alignSelf = _ref3.alignSelf,
      xs = _ref3.xs,
      sm = _ref3.sm,
      md = _ref3.md,
      lg = _ref3.lg,
      xl = _ref3.xl,
      children = _ref3.children;
  return /*#__PURE__*/React.createElement(Style_Col, {
    alignSelf: alignSelf,
    xs: xs,
    sm: sm,
    md: md,
    lg: lg,
    xl: xl
  }, children);
};

exports.Button = Button;
exports.Col = Col;
exports.Container = Container;
exports.Row = Row;
exports.Tabs = Tabs;
exports.Text = Text;
//# sourceMappingURL=index.js.map
